Metafunction
Fibre
Type of a specific container member (fibre).
Fibre<TContainer, TSpec>::Type
Include Headers
seqan/index.h
Parameters

TContainer | The container type. Types: Index, RankDictionary, RightArrayBinaryTree
TSpec | Tag to specify the fibre. Types: ESA Index Fibres, RightArrayBinaryTree Fibres, SentinelRankDictionary Fibres, WaveletTree Fibres

Remarks
Some containers, such as Index, can be seen as a bundle consisting of various fibres. Because not every table is a fibre we did not call them tables, however, in many cases one can think of fibres as tables. The fibre interface was designed to unify the access to the members of the different fibres. To get a reference or the type of a specific fibre use getFibre or Fibre.
A Fibre does not need to be a real container. It can also be a view (see EsaRawText).
Return Values
Fibre type.
Member of
Index
See Also
WaveletTree Fibres, ESA Index Fibres, SparseString Fibres, CompressedSA Fibres, SequenceBitMask Fibres, RightArrayBinaryTree Fibres, Pizza & Chili Index Fibres, RankSupportBitString Fibres, LF Table Fibres, WOTD Index Fibres, QGram Index Fibres, FM Index Fibres, SentinelRankDictionary Fibres, PrefixSumTable Fibres
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59